Page MenuHomePhabricator

[X86][AVX512] Add masked MOVS[S|D] patterns
ClosedPublic

Authored by guyblank on Jul 26 2017, 9:07 AM.

Details

Summary

The only mask bit used by masked scalar MOV is the lower bit, so no need to and with 1 before passing the mask. Add patterns to recognize that.

Diff Detail

Event Timeline

guyblank created this revision.Jul 26 2017, 9:07 AM
craig.topper added inline comments.Jul 27 2017, 10:08 PM
lib/Target/X86/X86InstrAVX512.td
4005

Does this extend past 80 columns?

guyblank added inline comments.Jul 30 2017, 1:11 AM
lib/Target/X86/X86InstrAVX512.td
4005

you're right, thanks!

guyblank updated this revision to Diff 108822.Jul 30 2017, 1:19 AM

fit into 80 columns

zvi accepted this revision.Jul 31 2017, 12:44 AM

LGTM

This revision is now accepted and ready to land.Jul 31 2017, 12:44 AM
This revision was automatically updated to reflect the committed changes.